Page MenuHomePhabricator

[libcxxabi][CMake] Drop unused HandleOutOfTreeLLVM include
ClosedPublic

Authored by phosek on Feb 17 2019, 3:25 PM.

Details

Summary

This include doesn't seem to be needed for the standalone build (it's
not being used by libc++ build either), but introduces unnecessary
dependency because HandleOutOfTreeLLVM performs checks that require
a working C++ library. We shouldn't require a working C++ library to
build libc++abi or libc++ (it's what we're building after all).

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Feb 17 2019, 3:25 PM

This is an alternative to D58331 which is an attempt at resolving the breakage introduced in D58013. I think this is a better solution than D58331. Do you know if there's any reason why HandleLLVMOptions was included here?

This is an alternative to D58331 which is an attempt at resolving the breakage introduced in D58013. I think this is a better solution than D58331.

I also think that this one is better than D58331, for the reasons stated in the summary.

Do you know if there's any reason why HandleLLVMOptions was included here?

HandleLLVMOptions seems to setup quite a few things, but I think most of them don't apply for libc++abi and libc++ (like LTO, assertions, -std=c++11). From looking over the code I guess that warnings and LLVM_USE_LINKER could be relevant?

ldionne accepted this revision.Feb 18 2019, 10:56 AM
This revision is now accepted and ready to land.Feb 18 2019, 10:56 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 18 2019, 12:57 PM
sbc100 added a subscriber: sbc100.Mar 29 2019, 10:09 AM

Thank you. I'd been try to land this myself (See discussion in https://reviews.llvm.org/D33753).